升级后X就起不来了

为当前最终发行版之前的所有版本提供支持
回复
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

升级后X就起不来了

#1

帖子 BigSnake.NET » 2006-08-22 10:59

安装了今天的xsever-xorg-core升级 重启后提示 找不到screen
请问怎样解决

我安装了nvidia的驱动
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
jakeboy
帖子: 50
注册时间: 2006-06-20 16:37
送出感谢: 0
接收感谢: 0

#2

帖子 jakeboy » 2006-08-22 12:34

我也遇到该问题,我用的是ATI驱动,但改了配置文件xorg.conf还不行,应该不是驱动的事,好在我的xserver-xorg-core_1%3a1.0.2-0ubuntu10.1_amd64.deb包原来备份了,把他重新安装,替代新包xserver-xorg-core_1%3a1.0.2-0ubuntu10.3_amd64.deb,然后启动没有问题了,就是还在提示升级,不敢升级了!
cnhzcy14
帖子: 30
注册时间: 2006-04-06 16:40
送出感谢: 0
接收感谢: 0

#3

帖子 cnhzcy14 » 2006-08-22 12:35

我有一样的问题!我的机子是x31,好像有个libGLcore文件有错误!是否有人解决了?
wszhhg
帖子: 16
注册时间: 2006-07-19 21:55
送出感谢: 0
接收感谢: 0

#4

帖子 wszhhg » 2006-08-22 12:35

同样!!我也是的 ,我装了ati驱动! 还有xgl
升级完了就挂了 !!
jakeboy
帖子: 50
注册时间: 2006-06-20 16:37
送出感谢: 0
接收感谢: 0

#5

帖子 jakeboy » 2006-08-22 12:37

ubuntu升级太快了,也要讲点稳定性啊!
wszhhg
帖子: 16
注册时间: 2006-07-19 21:55
送出感谢: 0
接收感谢: 0

#6

帖子 wszhhg » 2006-08-22 12:40

怎么能回到原来的xserver啊,我没有备份的哇
jakeboy
帖子: 50
注册时间: 2006-06-20 16:37
送出感谢: 0
接收感谢: 0

#7

帖子 jakeboy » 2006-08-22 12:48

在字符界面 sudo dpkg -i xserver-xorg-core_1%3a1.0.2-0ubuntu10.1_amd64.deb,但要先找到这个软件包,看看你的/var/cache/apt/archives里面有没有比xserver-xorg-core_1%3a1.0.2-0ubuntu10.3_amd64.deb低版本的xserver-xorg-core,或者在启动光盘里找找。
头像
nwyq
帖子: 55
注册时间: 2006-05-13 14:43
送出感谢: 0
接收感谢: 0

#8

帖子 nwyq » 2006-08-22 12:49

我也是阿
我的是nvidia驱动的
升级后就进步了xwindow了
说找不到screen
:shock:
cnhzcy14
帖子: 30
注册时间: 2006-04-06 16:40
送出感谢: 0
接收感谢: 0

#9

帖子 cnhzcy14 » 2006-08-22 12:59

官方论坛里暂时解决办法是降级:
sudo apt-get install xserver-xorg-core=1:1.0.2-0ubuntu10
真是一个大bug!
重装也不行!
wszhhg
帖子: 16
注册时间: 2006-07-19 21:55
送出感谢: 0
接收感谢: 0

#10

帖子 wszhhg » 2006-08-22 13:12

解决了!
到ubuntu.cn99.com下载一个老的包就好了
http://ubuntu.cn99.com/ubuntu/pool/main ... 1_i386.deb
dpkg -i 安装就可以进X了!
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#11

帖子 BigSnake.NET » 2006-08-22 13:22

已经把旧版本锁定 ~问题解决了
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
em
帖子: 12
注册时间: 2006-08-22 13:31
送出感谢: 0
接收感谢: 0

#12

帖子 em » 2006-08-22 13:40

我也遇到这个问题了。
这个xserver-xorg是自动提示安装的吗?
我今天装了linux-686,我还以为是linux-686的问题呢。
头像
oliver
帖子: 775
注册时间: 2005-10-05 11:31
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 oliver » 2006-08-22 14:15

wszhhg 写了:解决了!
到ubuntu.cn99.com下载一个老的包就好了
http://ubuntu.cn99.com/ubuntu/pool/main ... 1_i386.deb
dpkg -i 安装就可以进X了!
解决了。
xjzzx
帖子: 34
注册时间: 2006-07-14 12:06
送出感谢: 0
接收感谢: 0

#14

帖子 xjzzx » 2006-08-22 23:44

什么人这么不负责啊!!!!!!!!!!!!
幸好还有Windows能进来求救,汗……
skycen
帖子: 15
注册时间: 2006-08-17 3:10
送出感谢: 0
接收感谢: 0

#15

帖子 skycen » 2006-08-23 2:24

我狂晕,才看到帖子,我已经重装了。。。。。
回复

回到 “老旧版本支持”